﻿$fileContents = get-content C:/FCC_Repo/ProcessExecutionScripts/FCCFileConfig.properties
$properties = @{}

foreach($line in $fileContents)
 {
     write-host $line
     # ,2 tells split to return two substrings (a single split) per line
     $words = $line.Split('=',2)
     $properties.add($words[0].Trim(), $words[1].Trim())
 }

$properties
 
$hostname = $properties.hostname
$port = $properties.port
$usr=$properties.username
$pwd=$properties.password

$JAVA=$properties.Item("javapath")
$JOBEXECUTOR=$properties.Item("jobexecutorpath")

$execute="java -jar $JOBEXECUTOR -t 36000 -i 30 -h $hostName -s $port -w -u $usr -p $pwd"

# $Job1="Upsert_CleansedIndex"
#$job1="testJob1"

#$inputFile="CleansedFile=file:D:\AuditTestData\PEP_Clean_out_testlogs.csv"
#$inputFile="CleansedFile=file:$fName"
#$inputFile1="ApprovedExceptions=$properties.key2"

#-----------------------------Job1ExecutionStart--------------------------------------------------------#
$job1="List_ER_MainFlow_Normalization"

$job1fName1=$properties.Item("ListUncleansedFile")
$job1inputFile1="UncleansedFile=file:$job1fName1"

$job1fName2=$properties.Item("MalformedListFile")
$job1ouputFile1="MalformedRecords=file:$job1fName2"

$job1fName4=$properties.Item("CleansedListFile")
$job1ouputFile3="CleansedOutput=file:$job1fName4"

#Write-Host "$job1 $job1inputFile1 $job1ouputFile1 $job1ouputFile3"
Write-Host $fName
$rCode=Invoke-Expression "$execute -j $job1 $job1inputFile1 $job1ouputFile1 $job1ouputFile3"
Write-Host "test $rCode"

#---------------------------------------------Job1 Execution Ends----------------------------------#


#---------------------------------------------Job2 Execution Starts----------------------------------#

if($rCode -like "*succeeded*" )
{

$job2="Upsert_CleansedIndex"

$job2fName1=$properties.Item("CleansedListFile")
$job2inputFile1="CleansedFile=file:$job2fName1"

$job2fName2=$properties.Item("ApprovedExceptionFile")
$job2inputFile2="ApprovedExceptions=file:$job2fName2"

$job2fName3=$properties.Item("GenerateLog")
$job2ouputFile1="CleansedIndex_SF.GenerateLog=file:$job2fName3"

$job2fName4=$properties.Item("ErrorLog")
$job2ouputFile2="CleansedIndex_SF.ErrorLog=file:$job2fName4"


$inputFile="CleansedFile=file:$fName"
$inputFile1="ApprovedExceptions=$properties.key2"

Write-Host $fName
$rCode1=Invoke-Expression "$execute -j $job2 $job2inputFile1 $job2inputFile2 $job2ouputFile1 $job2ouputFile2"
Write-Host "test $rCode1"
}
#---------------------------------------------Job2 Execution Ends----------------------------------#

