﻿$fileContents = get-content C:/FCC_Repo/ProcessExecutionScripts/FCCFileConfig.properties
$properties = @{}

foreach($line in $fileContents)
 {
     write-host $line
     # ,2 tells split to return two substrings (a single split) per line
     $words = $line.Split('=',2)
     $properties.add($words[0].Trim(), $words[1].Trim())
 }

$properties
 
$hostname = $properties.hostname
$port = $properties.port
$usr=$properties.username
$pwd=$properties.password

$JAVA=$properties.Item("javapath")
$JOBEXECUTOR=$properties.Item("jobexecutorpath")

$execute="java -jar $JOBEXECUTOR -t 36000 -i 30 -h $hostName -s $port -w -u $usr -p $pwd"

# $Job1="Upsert_CleansedIndex"
#$job1="testJob1"

#$inputFile="CleansedFile=file:D:\AuditTestData\PEP_Clean_out_testlogs.csv"
#$inputFile="CleansedFile=file:$fName"
#$inputFile1="ApprovedExceptions=$properties.key2"

#-----------------------------Job1ExecutionStart--------------------------------------------------------#
$job1="Upsert_UncleansedIndex"

$job1fName1=$properties.Item("UncleansedFile")
$job1inputFile1="UncleansedFile=file:$job1fName1"

$job1fName2=$properties.Item("UncleansedGenerateLog")
$job1ouputFile1="UncleansedIndex_SF.GenerateLogs=file:$job1fName2"

$job1fName3=$properties.Item("UncleansedErrorLog")
$job1ouputFile2="UncleansedIndex_SF.ErrorLogs=file:$job1fName3"


Write-Host $fName
$rCode=Invoke-Expression "$execute -j $job1 $job1inputFile1 $job1ouputFile1 $job1ouputFile2"
Write-Host "test $rCode"

#---------------------------------------------Job1 Execution Ends----------------------------------#

