﻿$fileContents = get-content C:/FCC_Repo/ProcessExecutionScripts/FCCFileConfig.properties
$properties = @{}

foreach($line in $fileContents)
 {
     write-host $line
     # ,2 tells split to return two substrings (a single split) per line
     $words = $line.Split('=',2)
     $properties.add($words[0].Trim(), $words[1].Trim())
 }

$properties
 
$hostname = $properties.hostname
$port = $properties.port
$usr=$properties.username
$pwd=$properties.password

$JAVA=$properties.Item("javapath")
$JOBEXECUTOR=$properties.Item("jobexecutorpath")

$execute="java -jar $JOBEXECUTOR -t 36000 -i 30 -h $hostName -s $port -w -u $usr -p $pwd"

# $Job1="Upsert_CleansedIndex"
#$job1="testJob1"

#$inputFile="CleansedFile=file:D:\AuditTestData\PEP_Clean_out_testlogs.csv"
#$inputFile="CleansedFile=file:$fName"
#$inputFile1="ApprovedExceptions=$properties.key2"

#-----------------------------Job1ExecutionStart--------------------------------------------------------#
$job1="FCC_ER_Party_MainFlow1_Normalization_v1"

$job1fName1=$properties.Item("Job1PartyFile")
$job1inputFile1="ReadfromParty=file:$job1fName1"

$job1fName2=$properties.Item("Job1PartyAddressFile")
$job1inputFile2="ReadfromPartyAddress=file:$job1fName2"

$job1fName3=$properties.Item("Job1PartyPhoneFile")
$job1inputFile3="ReadfromPartyPhone=file:$job1fName3"

$job1fName4=$properties.Item("Job1PartyEmailFile")
$job1inputFile4="ReadfromPartyEmail=file:$job1fName4"

$job1fName5=$properties.Item("Job1PartyAccountFile")
$job1inputFile5="ReadfromPartyAccount=file:$job1fName5"

$job1fName6=$properties.Item("Job1AccountFile")
$job1inputFile6="ReadfromAccount=file:$job1fName6"

$job1fName7=$properties.Item("Job1PartyUDAFile")
$job1inputFile7="ReadfromPartyUDA=file:$job1fName7"

$job1fName8=$properties.Item("Job1MalformedPartyFile")
$job1ouputFile1="WritetoFile-MalformedParty=file:$job1fName8"

$job1fName9=$properties.Item("Job1MalformedPartyAddressFile")
$job1ouputFile2="WritetoFile-MalformedPartyAddress=file:$job1fName9"

$job1fName10=$properties.Item("Job1MalformedPartyPhoneFile")
$job1ouputFile3="WritetoFile-MalformedPartyPhone=file:$job1fName10"

$job1fName11=$properties.Item("Job1MalformedPartyEmailFile")
$job1ouputFile4="WritetoFile-MalformedPartyEmail=file:$job1fName11"

$job1fName12=$properties.Item("Job1MalformedPartyAccountFile")
$job1ouputFile5="WritetoFile-MalformedPartyAccount=file:$job1fName12"

$job1fName13=$properties.Item("Job1MalformedAccountFile")
$job1ouputFile6="WritetoFile-MalformedAccount=file:$job1fName13"

$job1fName14=$properties.Item("Job1OutputFile")
$job1ouputFile7="WritetoFile=file:$job1fName14"

#$inputFile="CleansedFile=file:$fName"
#$inputFile1="ApprovedExceptions=$properties.key2"

Write-Host $fName
#$rCode=Invoke-Expression "$execute -j $job1 $job1inputFile1 $job1inputFile2 $job1inputFile3 $job1inputFile4 $job1inputFile5 $job1inputFile6 $job1inputFile7"
$rCode=Invoke-Expression "$execute -j $job1 $job1inputFile1 $job1inputFile2 $job1inputFile3 $job1inputFile4 $job1inputFile5 $job1inputFile6 $job1inputFile7 $job1ouputFile1 $job1ouputFile2 $job1ouputFile3 $job1ouputFile4 $job1ouputFile5 $job1ouputFile6 $job1ouputFile7"
Write-Host "test $rCode"

#---------------------------------------------Job1 Execution Ends----------------------------------#

#if($str -like "*succeeded*" )
#{
#    "Failed"
#} 

#---------------------------------------------Job2 Execution Starts----------------------------------#

if($rCode -like "*succeeded*" )
{
$job2="FCC_ER_Party_MainFlow2_1_IntraflowMatch_v1"

$job2fName1=$properties.Item("Job2InputFile")
$job2inputFile1="ReadfromFile=file:$job2fName1"

$job2fName2=$properties.Item("Job2OutputFile")
$job2ouputFile1="WritetoFile=file:$job2fName2"

#$inputFile="CleansedFile=file:$fName"
#$inputFile1="ApprovedExceptions=$properties.key2"

Write-Host $fName
$rCode1=Invoke-Expression "$execute -j $job2 $job2inputFile1 $job2ouputFile1"
Write-Host "test $rCode1"
}
#---------------------------------------------Job2 Execution Ends----------------------------------#

#---------------------------------------------Job3 Execution Starts----------------------------------#
if($rCode1 -like "*succeeded*" )
{

$job3="FCC_ER_Party_MainFlow2_2_TransactionalMatchAndSurvivorship_v1"

$job3fName1=$properties.Item("Job3InputFile")
$job3inputFile1="ReadfromFile=file:$job3fName1"

$job3fName2=$properties.Item("Job3MalformedOutputFile")
$job3ouputFile1="WritetoFile-MalformedRecords=file:$job3fName2"

$job3fName3=$properties.Item("Job3BOBOutputFile")
$job3ouputFile2="WritetoFile-BestOfBreedRecord=file:$job3fName3"

$job3fName4=$properties.Item("Job3OutputFile")
$job3ouputFile3="WritetoFile=file:$job3fName4"
#$inputFile="CleansedFile=file:$fName"
#$inputFile1="ApprovedExceptions=$properties.key2"

Write-Host $fName
$rCode2=Invoke-Expression "$execute -j $job3 $job3inputFile1 $job3ouputFile1 $job3ouputFile2 $job3ouputFile3"
Write-Host "test $rCode2"
#---------------------------------------------Job3 Execution Ends----------------------------------#
}
#---------------------------------------------Job4 Execution Starts----------------------------------#

#$job4="FCC_ER_Party_PostProc1_CreatePartySearchIndex_v1"

#$job4fName1=$properties.Item("Job4InputFile")
#$job4inputFile1="Read from File=file:$job4fName1"

#$job4fName2=$properties.Item("Job4OutputFile")
#$job4ouputFile1="Write to File=file:$job4fName2"



#Write-Host $fName
#$rCode=Invoke-Expression "$execute -j $job4 $job4inputFile1 $job4ouputFile1"
#Write-Host "test $rCode"
#---------------------------------------------Job4 Execution Ends----------------------------------#
#---------------------------------------------Job5 Execution Starts----------------------------------#
if($rCode2 -like "*succeeded*" )
{
$job5="FCC_ER_Party_PostProc1_UpdatePartySearchIndex_v1"

$job5fName1=$properties.Item("Job5InputFile")
$job5inputFile1="ReadfromFile=file:$job5fName1"

$job5fName2=$properties.Item("Job5OutputFile")
$job5ouputFile1="WritetoFile=file:$job5fName2"



Write-Host $fName
$rCode3=Invoke-Expression "$execute -j $job5 $job5inputFile1 $job5ouputFile1"
Write-Host "test $rCode3"
#---------------------------------------------Job5 Execution Ends----------------------------------#
}
#---------------------------------------------Job6 Execution Starts----------------------------------#
if($rCode3 -like "*succeeded*" )
{
$job6="FCC_PM_Load_PartyData_To_HUB"

$job6fName1=$properties.Item("Job6InputFile")
$job6inputFile1="ReadfromFile=file:$job6fName1"



Write-Host $fName
$rCode4=Invoke-Expression "$execute -j $job6 $job6inputFile1"
Write-Host "test $rCode4"
#---------------------------------------------Job6 Execution Ends----------------------------------#
}
#---------------------------------------------Job7 Execution Starts----------------------------------#
if($rCode4 -like "*succeeded*" )
{
$job7="FCC_Sync_EROut_ScreeningIN_AddListID"

$job7fName1=$properties.Item("Job7InputFile")
$job7inputFile1="ReadfromFile=file:$job7fName1"

$job7fName2=$properties.Item("Job7OutputFile")
$job7ouputFile1="WritetoFile=file:$job7fName2"



Write-Host $fName
$rCode5=Invoke-Expression "$execute -j $job7 $job7inputFile1 $job7ouputFile1"
Write-Host "test $rCode5"
#---------------------------------------------Job7 Execution Ends----------------------------------#
}
#---------------------------------------------Job8 Execution Starts----------------------------------#
if($rCode5 -like "*succeeded*" )
{
$job8="Party_Screening"

$job8fName1=$properties.Item("Job8InputFile")
$job8inputFile1="ReadfromFile=file:$job8fName1"

$job8fName2=$properties.Item("Job8OutputFile")
$job8ouputFile1="WritetoFile=file:$job8fName2"

$job8fName3=$properties.Item("Job8UncleansedOutputFile")
$job8ouputFile2="WritetoFile-Uncleansed=file:$job8fName3"

Write-Host $fName
$rCode6=Invoke-Expression "$execute -j $job8 $job8inputFile1 $job8ouputFile1 $job8ouputFile2"
Write-Host "test $rCode6"
#---------------------------------------------Job8 Execution Ends----------------------------------#
}
#---------------------------------------------Job9 Execution Starts----------------------------------#
if($rCode6 -like "*succeeded*" )
{
$job9="Screening_Output"

$job9fName1=$properties.Item("Job9InputFile")
$job9inputFile1="Cleansed=file:$job9fName1"

$job9fName2=$properties.Item("Job9UncleansedInputFile")
$job9inputFile2="Uncleansed=file:$job9fName2"

$job9fName3=$properties.Item("Job9OutputFile")
$job9ouputFile1="WritetoFile=file:$job9fName3"

Write-Host $fName
$rCode7=Invoke-Expression "$execute -j $job9 $job9inputFile1 $job9inputFile2 $job9ouputFile1"
Write-Host "test $rCode7"
}
#---------------------------------------------Job9 Execution Ends----------------------------------#







